# Management apiEndpoints[experimental]

## Get compute service

Experimental endpoint: this API is in active development and may change at any time without notice. Returns a compute service by ID, including its region and latest version reference.

⚠️ Experimental endpoint: this API is in active development and may change at any time without notice. ⚠️

Returns a compute service by ID, including its region and latest version reference.

### GET `/v1/compute-services/{computeServiceId}`

## [Authorization](/content/docs/management-api/endpoints/%5Bexperimental%5D/get-compute-services-by-compute-service-id#authorization/index.html)

`OAuth2 workspace:admin, offline_access`

Authorization
Bearer <token>

OAuth2 authentication

In: `header`

Scope: `workspace:admin, offline_access`

## [Path Parameters](/content/docs/management-api/endpoints/%5Bexperimental%5D/get-compute-services-by-compute-service-id#path-parameters/index.html)

- `computeServiceId` *string*  
  Match `^(cps_)?([cC][^\s-]{8,}|[a-z0-9]+)$`

## [Response Body](/content/docs/management-api/endpoints/%5Bexperimental%5D/get-compute-services-by-compute-service-id#response-body/index.html)

### 200  `application/json`

### 401  `application/json`

### 403  `application/json`

### 404  `application/json`

### 429  `application/json`

**cURL**

```bash
curl -X GET "https://api.prisma.io/v1/compute-services/string"
```

#### Response Examples

**Successful Response:**
```json
{
  "data": {
    "id": "string",
    "type": "compute-service",
    "url": "http://example.com",
    "name": "string",
    "region": {
      "id": "string",
      "name": "string"
    },
    "projectId": "string",
    "latestVersionId": "string",
    "serviceEndpointDomain": "string",
    "createdAt": "2019-08-24T14:15:22Z"
  }
}
```

**Error Response Examples:**

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "hint": "string"
  }
}
```

This format can repeat for the other error codes (401, 403, 404, 429).
